> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesink.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Invite



## OpenAPI

````yaml /openapi.json post /invite/reject
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /invite/reject:
    post:
      tags:
        - INVITE
      summary: Reject Invite
      operationId: reject_invite_invite_reject_post
      parameters:
        - name: token
          in: query
          required: true
          schema:
            type: string
            description: The invite token received via email
            title: Token
          description: The invite token received via email
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InviteResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        workspace_id:
          type: string
          format: uuid4
          title: Workspace Id
        team_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Team Id
        invitee_email:
          type: string
          format: email
          title: Invitee Email
        invited_by:
          type: string
          format: uuid4
          title: Invited By
        status:
          $ref: '#/components/schemas/InviteStatus'
        expiry_time:
          type: string
          format: date-time
          title: Expiry Time
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - workspace_id
        - invitee_email
        - invited_by
        - status
        - expiry_time
        - created_at
        - updated_at
      title: InviteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InviteStatus:
      type: string
      enum:
        - pending
        - accepted
        - rejected
        - expired
      title: InviteStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````